Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Deprecated warnings #9

Closed
saesrpg opened this Issue Feb 6, 2019 · 1 comment

Comments

Projects
None yet
2 participants
@saesrpg
Copy link

saesrpg commented Feb 6, 2019

Although these do not affect the plugin, I thought I would report it.

2019-02-06T14:12:57.376Z [4999/23748] - warn: [deprecated] requiring core modules with `module.parent.require('./database')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
    at Object.<anonymous> (/var/****/node_modules/nodebb-plugin-gdpr/library.js:5:24)
2019-02-06T14:12:57.377Z [4999/23748] - warn: [deprecated] requiring core modules with `module.parent.require('./meta')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
    at Object.<anonymous> (/var/****/node_modules/nodebb-plugin-gdpr/library.js:6:26)
2019-02-06T14:12:57.377Z [4999/23748] - warn: [deprecated] requiring core modules with `module.parent.require('./user')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
    at Object.<anonymous> (/var/****/node_modules/nodebb-plugin-gdpr/library.js:7:26)
2019-02-06T14:12:57.378Z [4999/23748] - warn: [deprecated] requiring core modules with `module.parent.require('./pagination')` is deprecated. Please use `require.main.require("./src/<module_name>")` instead.
    at Object.<anonymous> (/var/****/node_modules/nodebb-plugin-gdpr/library.js:8:32)
@julianlam

This comment has been minimized.

Copy link
Member

julianlam commented Feb 6, 2019

v1.0.6, sorry about that, forgot to publish the updated version.

@julianlam julianlam closed this Feb 6, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.